]> arthur.barton.de Git - bup.git/blobdiff - cmd/ls-cmd.py
CatPipe.get: always return (oidx, type, size) for obj info
[bup.git] / cmd / ls-cmd.py
index 581d6e116891387659dec7ee1d04fd6098bd37d0..377d2756958e829aba92b727a5b097c7ab068f57 100755 (executable)
@@ -1,7 +1,13 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
+
 import sys
+
 from bup import git, vfs, ls
-from bup.helpers import *
 
 
 git.check_repo_or_die()
@@ -9,5 +15,4 @@ top = vfs.RefList(None)
 
 # Check out lib/bup/ls.py for the opt spec
 ret = ls.do_ls(sys.argv[1:], top, default='/', spec_prefix='bup ')
-
 sys.exit(ret)